package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 设备数据(有组织)-其它时间 保存设备的小时以上的数据对象 mon_dev_other
 *
 * @author szhpt
 * @date 2023-01-10*/
@ApiModel(value = "设备数据(有组织)-其它时间 保存设备的小时以上的数据")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mon_dev_other")
public class MonDevOther extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableId(value = "data_id",type = IdType.AUTO)
    @ApiModelProperty(value = "数据ID")
    /** 数据ID */
    @Excel(name = "数据ID")
    private Long dataId;


    @ApiModelProperty(value = "企业ID 冗余")
    /** 企业ID 冗余 */
    @Excel(name = "企业ID 冗余")
    private String factoryId;


    @ApiModelProperty(value = "设备ID")
    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;


    @ApiModelProperty(value = "时间类型 枚举。分钟/小时...")
    /** 时间类型 枚举。分钟/小时... */
    @Excel(name = "时间类型 枚举。分钟/小时...")
    private String timeType;


    @ApiModelProperty(value = "数据时间 格式因时间类型而异")
    /** 数据时间 格式因时间类型而异 */
    @Excel(name = "数据时间 格式因时间类型而异")
    private String dataTime;


    @ApiModelProperty(value = "装煤时间")
    /** 装煤时间 */
    @Excel(name = "装煤时间")
    private String zmTime;


    @ApiModelProperty(value = "推焦时间")
    /** 推焦时间 */
    @Excel(name = "推焦时间")
    private String tmTime;


    @ApiModelProperty(value = "生产过程参数1 含义因设备而异")
    /** 生产过程参数1 含义因设备而异 */
    @Excel(name = "生产过程参数1 含义因设备而异")
    private String p1;


    @ApiModelProperty(value = "生产过程参数2 含义因设备而异")
    /** 生产过程参数2 含义因设备而异 */
    @Excel(name = "生产过程参数2 含义因设备而异")
    private String p2;


    @ApiModelProperty(value = "生产过程参数3 含义因设备而异")
    /** 生产过程参数3 含义因设备而异 */
    @Excel(name = "生产过程参数3 含义因设备而异")
    private String p3;


    @ApiModelProperty(value = "生产过程参数4 含义因设备而异")
    /** 生产过程参数4 含义因设备而异 */
    @Excel(name = "生产过程参数4 含义因设备而异")
    private String p4;


    @ApiModelProperty(value = "烟气流量-in")
    /** 烟气流量-in */
    @Excel(name = "烟气流量-in")
    private String flowIn;


    @ApiModelProperty(value = "温度-in")
    /** 温度-in */
    @Excel(name = "温度-in")
    private String tempIn;


    @ApiModelProperty(value = "NOx-in")
    /** NOx-in */
    @Excel(name = "NOx-in")
    private String noxIn;


    @ApiModelProperty(value = "颗粒物-in")
    /** 颗粒物-in */
    @Excel(name = "颗粒物-in")
    private String pmIn;


    @ApiModelProperty(value = "SO2-in")
    /** SO2-in */
    @Excel(name = "SO2-in")
    private String so2In;


    @ApiModelProperty(value = "烟气流量-out")
    /** 烟气流量-out */
    @Excel(name = "烟气流量-out")
    private String flowOut;


    @ApiModelProperty(value = "温度-out")
    /** 温度-out */
    @Excel(name = "温度-out")
    private String tempOut;


    @ApiModelProperty(value = "NOx-out")
    /** NOx-out */
    @Excel(name = "NOx-out")
    private String noxOut;


    @ApiModelProperty(value = "含氧量-out")
    /** 含氧量-out */
    @Excel(name = "含氧量-out")
    private String o2Out;


    @ApiModelProperty(value = "颗粒物-out")
    /** 颗粒物-out */
    @Excel(name = "颗粒物-out")
    private String pmOut;


    @ApiModelProperty(value = "SO2-out")
    /** SO2-out */
    @Excel(name = "SO2-out")
    private String so2Out;


    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    @Excel(name = "数据标志")
    private String flowInFlag;


    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    @Excel(name = "数据标志")
    private String tempInFlag;


    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    @Excel(name = "数据标志")
    private String noxInFlag;


    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    @Excel(name = "数据标志")
    private String pmInFlag;


    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    @Excel(name = "数据标志")
    private String so2InFlag;


    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    @Excel(name = "数据标志")
    private String flowOutFlag;


    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    @Excel(name = "数据标志")
    private String tempOutFlag;


    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    @Excel(name = "数据标志")
    private String noxOutFlag;


    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    @Excel(name = "数据标志")
    private String o2OutFlag;


    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    @Excel(name = "数据标志")
    private String pmOutFlag;


    @ApiModelProperty(value = "数据标志")
    /** 数据标志 */
    @Excel(name = "数据标志")
    private String so2OutFlag;


    @ApiModelProperty(value = "脱硫剂使用量")
    /** 脱硫剂使用量 */
    @Excel(name = "脱硫剂使用量")
    private String tljVol;


    @ApiModelProperty(value = "脱硝剂使用量")
    /** 脱硝剂使用量 */
    @Excel(name = "脱硝剂使用量")
    private String txjVol;


    @ApiModelProperty(value = "SO2-除尘1")
    /** SO2-除尘1 */
    @Excel(name = "SO2-除尘1")
    private String so2Cc1;


    @ApiModelProperty(value = "颗粒物-除尘1")
    /** 颗粒物-除尘1 */
    @Excel(name = "颗粒物-除尘1")
    private String pmCc1;


    @ApiModelProperty(value = "风机电流-除尘1")
    /** 风机电流-除尘1 */
    @Excel(name = "风机电流-除尘1")
    private String windElecCc1;


    @ApiModelProperty(value = "除尘器风量-除尘1")
    /** 除尘器风量-除尘1 */
    @Excel(name = "除尘器风量-除尘1")
    private String windVolCc1;


    @ApiModelProperty(value = "SO2-除尘2")
    /** SO2-除尘2 */
    @Excel(name = "SO2-除尘2")
    private String so2Cc2;


    @ApiModelProperty(value = "颗粒物-除尘2")
    /** 颗粒物-除尘2 */
    @Excel(name = "颗粒物-除尘2")
    private String pmCc2;


    @ApiModelProperty(value = "风机电流-除尘2")
    /** 风机电流-除尘2 */
    @Excel(name = "风机电流-除尘2")
    private String windElecCc2;


    @ApiModelProperty(value = "除尘器风量-除尘2")
    /** 除尘器风量-除尘2 */
    @Excel(name = "除尘器风量-除尘2")
    private String windVolCc2;


    @ApiModelProperty(value = "风机电流-除尘3")
    /** 风机电流-除尘3 */
    @Excel(name = "风机电流-除尘3")
    private String windElecCc3;


    @ApiModelProperty(value = "煤气参数3 含义因设备而异")
    /** 煤气参数3 含义因设备而异 */
    @Excel(name = "煤气参数3 含义因设备而异")
    private String mq1;


    @ApiModelProperty(value = "煤气参数2 含义因设备而异")
    /** 煤气参数2 含义因设备而异 */
    @Excel(name = "煤气参数2 含义因设备而异")
    private String mq2;


    @ApiModelProperty(value = "煤气参数1 含义因设备而异")
    /** 煤气参数1 含义因设备而异 */
    @Excel(name = "煤气参数1 含义因设备而异")
    private String mq3;


    @ApiModelProperty(value = "煤气参数4 含义因设备而异")
    /** 煤气参数4 含义因设备而异 */
    @Excel(name = "煤气参数4 含义因设备而异")
    private String mq4;


    @ApiModelProperty(value = "煤气参数5 含义因设备而异")
    /** 煤气参数5 含义因设备而异 */
    @Excel(name = "煤气参数5 含义因设备而异")
    private String mq5;


    @ApiModelProperty(value = "煤气参数6 含义因设备而异")
    /** 煤气参数6 含义因设备而异 */
    @Excel(name = "煤气参数6 含义因设备而异")
    private String mq6;


    @ApiModelProperty(value = "脱硫剂仓料（液）位")
    /** 脱硫剂仓料（液）位 */
    @Excel(name = "脱硫剂仓料", readConverterExp = "液=")
    private String g141;


    @ApiModelProperty(value = "脱硝剂仓料（液）位")
    /** 脱硝剂仓料（液）位 */
    @Excel(name = "脱硝剂仓料", readConverterExp = "液=")
    private String g314;


    @ApiModelProperty(value = "反应器入口烟气温度（SCR工艺）")
    /** 反应器入口烟气温度（SCR工艺） */
    @Excel(name = "反应器入口烟气温度", readConverterExp = "S=CR工艺")
    private String g329;


    @ApiModelProperty(value = "静电除尘器一次电压")
    /** 静电除尘器一次电压 */
    @Excel(name = "静电除尘器一次电压")
    private String g501;


    @ApiModelProperty(value = "静电除尘器一次电流")
    /** 静电除尘器一次电流 */
    @Excel(name = "静电除尘器一次电流")
    private String g502;


    @ApiModelProperty(value = "静电除尘器二次电压")
    /** 静电除尘器二次电压 */
    @Excel(name = "静电除尘器二次电压")
    private String g503;


    @ApiModelProperty(value = "静电除尘器二次电流")
    /** 静电除尘器二次电流 */
    @Excel(name = "静电除尘器二次电流")
    private String g504;


    @ApiModelProperty(value = "压差")
    /** 压差 */
    @Excel(name = "压差")
    private String g601;


    @ApiModelProperty(value = "清灰周期")
    /** 清灰周期 */
    @Excel(name = "清灰周期")
    private String g605;


    @ApiModelProperty(value = "电机电流")
    /** 电机电流 */
    @Excel(name = "电机电流")
    private String g606;


    @ApiModelProperty(value = "风门开度")
    /** 风门开度 */
    @Excel(name = "风门开度")
    private String g912;


    @ApiModelProperty(value = "烧结矿产量")
    /** 烧结矿产量 */
    @Excel(name = "烧结矿产量")
    private String g914;


    @ApiModelProperty(value = "皮带秤作业时间")
    /** 皮带秤作业时间 */
    @Excel(name = "皮带秤作业时间")
    private String g915;


    @ApiModelProperty(value = "皮带秤配料量")
    /** 皮带秤配料量 */
    @Excel(name = "皮带秤配料量")
    private String g916;


    @ApiModelProperty(value = "料层厚度")
    /** 料层厚度 */
    @Excel(name = "料层厚度")
    private String g917;


    @ApiModelProperty(value = "燃料（煤气）流量")
    /** 燃料（煤气）流量 */
    @Excel(name = "燃料", readConverterExp = "煤=气")
    private String g921;


    @ApiModelProperty(value = "矿槽称量漏斗作业时间")
    /** 矿槽称量漏斗作业时间 */
    @Excel(name = "矿槽称量漏斗作业时间")
    private String g926;


    @ApiModelProperty(value = "矿槽称量漏斗装料量")
    /** 矿槽称量漏斗装料量 */
    @Excel(name = "矿槽称量漏斗装料量")
    private String g927;


    @ApiModelProperty(value = "出铁时间")
    /** 出铁时间 */
    @Excel(name = "出铁时间")
    private String g928;


    @ApiModelProperty(value = "出铁量")
    /** 出铁量 */
    @Excel(name = "出铁量")
    private String g929;


    @ApiModelProperty(value = "热风炉鼓风量")
    /** 热风炉鼓风量 */
    @Excel(name = "热风炉鼓风量")
    private String g930;


    @ApiModelProperty(value = "出铁量")
    /** 出铁量 */
    @Excel(name = "出铁量")
    private String g931;


    @ApiModelProperty(value = "煤气使用量")
    /** 煤气使用量 */
    @Excel(name = "煤气使用量")
    private String g932;


    @ApiModelProperty(value = "加料时间")
    /** 加料时间 */
    @Excel(name = "加料时间")
    private String g935;


    @ApiModelProperty(value = "加铁水量")
    /** 加铁水量 */
    @Excel(name = "加铁水量")
    private String g936;


    @ApiModelProperty(value = "加废钢量")
    /** 加废钢量 */
    @Excel(name = "加废钢量")
    private String g937;


    @ApiModelProperty(value = "出钢量")
    /** 出钢量 */
    @Excel(name = "出钢量")
    private String g938;


    @ApiModelProperty(value = "出渣量")
    /** 出渣量 */
    @Excel(name = "出渣量")
    private String g939;


    @ApiModelProperty(value = "石灰窑温度")
    /** 石灰窑温度 */
    @Excel(name = "石灰窑温度")
    private String g941;


    @ApiModelProperty(value = "主蒸汽流量")
    /** 主蒸汽流量 */
    @Excel(name = "主蒸汽流量")
    private String g942;


    @ApiModelProperty(value = "高炉煤气")
    /** 高炉煤气 */
    @Excel(name = "高炉煤气")
    private String g944;


    @ApiModelProperty(value = "锅炉累计运行小时数")
    /** 锅炉累计运行小时数 */
    @Excel(name = "锅炉累计运行小时数")
    private String g945;


    @ApiModelProperty(value = "转炉煤气")
    /** 转炉煤气 */
    @Excel(name = "转炉煤气")
    private String g993;


    @ApiModelProperty(value = "焦炉煤气")
    /** 焦炉煤气 */
    @Excel(name = "焦炉煤气")
    private String g994;


    @ApiModelProperty(value = "其它燃料量")
    /** 其它燃料量 */
    @Excel(name = "其它燃料量")
    private String g995;


    @ApiModelProperty(value = "干法脱硫剂使用量")
    /** 干法脱硫剂使用量 */
    @Excel(name = "干法脱硫剂使用量")
    private String gb08;


    @ApiModelProperty(value = "半干发脱硫剂使用量")
    /** 半干发脱硫剂使用量 */
    @Excel(name = "半干发脱硫剂使用量")
    private String gb09;


    @ApiModelProperty(value = "附加参数 JSON。格式类似：{pmIn:{02:12,03:23},...}")
    /** 附加参数 JSON。格式类似：{pmIn:{02:12,03:23},...} */
    @Excel(name = "附加参数 JSON。格式类似：{pmIn:{02:12,03:23},...}")
    private String addiParam;


    @ApiModelProperty(value = "烟气-排放量")
    /** 烟气-排放量 */
    @Excel(name = "烟气-排放量")
    private String flowOutTotal;


    @ApiModelProperty(value = "NOx-排放量")
    /** NOx-排放量 */
    @Excel(name = "NOx-排放量")
    private String noxOutTotal;


    @ApiModelProperty(value = "氧气-排放量")
    /** 氧气-排放量 */
    @Excel(name = "氧气-排放量")
    private String o2OutTotal;


    @ApiModelProperty(value = "颗粒物-排放量")
    /** 颗粒物-排放量 */
    @Excel(name = "颗粒物-排放量")
    private String pmOutTotal;


    @ApiModelProperty(value = "SO2-排放量")
    /** SO2-排放量 */
    @Excel(name = "SO2-排放量")
    private String so2OutTotal;


    @ApiModelProperty(value = "转炉-产量 =炉数*容量")
    /** 转炉-产量 =炉数*容量 */
    @Excel(name = "转炉-产量 =炉数*容量")
    private String zlProduct;






    @ApiModelProperty(value = "除尘器风量")
    /** 除尘器风量 */
    @Excel(name = "除尘器风量")
    private String a140;


    @ApiModelProperty(value = "风机电流")
    /** 风机电流 */
    @Excel(name = "风机电流")
    private String a141;


    @ApiModelProperty(value = "煤气使用量")
    /** 煤气使用量 */
    @Excel(name = "煤气使用量")
    private String b104;


    @ApiModelProperty(value = "脱硝剂使用量")
    /** 脱硝剂使用量 */
    @Excel(name = "脱硝剂使用量")
    private String g313;


    @ApiModelProperty(value = "脱硝入口压力")
    /** 脱硝入口压力 */
    @Excel(name = "脱硝入口压力")
    private String g318;


    @ApiModelProperty(value = "脱硝出口压力")
    /** 脱硝出口压力 */
    @Excel(name = "脱硝出口压力")
    private String g325;


    @ApiModelProperty(value = "风机流量")
    /** 风机流量 */
    @Excel(name = "风机流量")
    private String g330;


    @ApiModelProperty(value = "风机电流")
    /** 风机电流 */
    @Excel(name = "风机电流")
    private String g604;


    @ApiModelProperty(value = "燃料瞬时流量")
    /** 燃料瞬时流量 */
    @Excel(name = "燃料瞬时流量")
    private String g943;


    @ApiModelProperty(value = "装煤量")
    /** 装煤量 */
    @Excel(name = "装煤量")
    private String g952;


    @ApiModelProperty(value = "提升机作业时间")
    /** 提升机作业时间 */
    @Excel(name = "提升机作业时间")
    private String g956;


    @ApiModelProperty(value = "装载量")
    /** 装载量 */
    @Excel(name = "装载量")
    private String g957;


    @ApiModelProperty(value = "提升机电流")
    /** 提升机电流 */
    @Excel(name = "提升机电流")
    private String g958;


    @ApiModelProperty(value = "地面放散口压力")
    /** 地面放散口压力 */
    @Excel(name = "地面放散口压力")
    private String g961;


    @ApiModelProperty(value = "火炬点火器启动记录")
    /** 火炬点火器启动记录 */
    @Excel(name = "火炬点火器启动记录")
    private String g962;


    @ApiModelProperty(value = "硫酸使用量")
    /** 硫酸使用量 */
    @Excel(name = "硫酸使用量")
    private String g963;


    @ApiModelProperty(value = "洗油使用量")
    /** 洗油使用量 */
    @Excel(name = "洗油使用量")
    private String g964;


    @ApiModelProperty(value = "脱苯塔塔顶回流量")
    /** 脱苯塔塔顶回流量 */
    @Excel(name = "脱苯塔塔顶回流量")
    private String g965;


    @ApiModelProperty(value = "粗苯外送量")
    /** 粗苯外送量 */
    @Excel(name = "粗苯外送量")
    private String g966;


    @ApiModelProperty(value = "塔釜温度")
    /** 塔釜温度 */
    @Excel(name = "塔釜温度")
    private String g967;


    @ApiModelProperty(value = "洗油外送量")
    /** 洗油外送量 */
    @Excel(name = "洗油外送量")
    private String g968;


    @ApiModelProperty(value = "压力")
    /** 压力 */
    @Excel(name = "压力")
    private String g969;


    @ApiModelProperty(value = "液位")
    /** 液位 */
    @Excel(name = "液位")
    private String g970;


    @ApiModelProperty(value = "负压煤气管网压力")
    /** 负压煤气管网压力 */
    @Excel(name = "负压煤气管网压力")
    private String g971;


    @ApiModelProperty(value = "（风机后）煤气管压力")
    /** （风机后）煤气管压力 */
    @Excel(name = "", readConverterExp = "风=机后")
    private String g972;


    @ApiModelProperty(value = "外供煤气流量")
    /** 外供煤气流量 */
    @Excel(name = "外供煤气流量")
    private String g973;


    @ApiModelProperty(value = "煤气柜容量")
    /** 煤气柜容量 */
    @Excel(name = "煤气柜容量")
    private String g974;


    @ApiModelProperty(value = "气柜高度")
    /** 气柜高度 */
    @Excel(name = "气柜高度")
    private String g975;


    @ApiModelProperty(value = "气柜压力")
    /** 气柜压力 */
    @Excel(name = "气柜压力")
    private String g976;


    @ApiModelProperty(value = "水封液位高度")
    /** 水封液位高度 */
    @Excel(name = "水封液位高度")
    private String g977;


    @ApiModelProperty(value = "压力")
    /** 压力 */
    @Excel(name = "压力")
    private String g978;


    @ApiModelProperty(value = "流量")
    /** 流量 */
    @Excel(name = "流量")
    private String g979;


    @ApiModelProperty(value = "火炬点火器启动记录")
    /** 火炬点火器启动记录 */
    @Excel(name = "火炬点火器启动记录")
    private String g980;


    @ApiModelProperty(value = "液位")
    /** 液位 */
    @Excel(name = "液位")
    private String g981;


    @ApiModelProperty(value = "温度")
    /** 温度 */
    @Excel(name = "温度")
    private String g982;


    @ApiModelProperty(value = "碱洗塔碱液使用量")
    /** 碱洗塔碱液使用量 */
    @Excel(name = "碱洗塔碱液使用量")
    private String gb11;


    @ApiModelProperty(value = "酸洗塔酸液使用量")
    /** 酸洗塔酸液使用量 */
    @Excel(name = "酸洗塔酸液使用量")
    private String gb12;


    @ApiModelProperty(value = "洗油塔洗油使用量")
    /** 洗油塔洗油使用量 */
    @Excel(name = "洗油塔洗油使用量")
    private String gb13;


    @ApiModelProperty(value = "颗粒物")
    /** 颗粒物 */
    @Excel(name = "颗粒物")
    private String h959;


    @ApiModelProperty(value = "二氧化硫")
    /** 二氧化硫 */
    @Excel(name = "二氧化硫")
    private String h960;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dataId", getDataId())
            .append("factoryId", getFactoryId())
            .append("deviceId", getDeviceId())
            .append("timeType", getTimeType())
            .append("dataTime", getDataTime())
            .append("zmTime", getZmTime())
            .append("tmTime", getTmTime())
            .append("p1", getP1())
            .append("p2", getP2())
            .append("p3", getP3())
            .append("p4", getP4())
            .append("flowIn", getFlowIn())
            .append("tempIn", getTempIn())
            .append("noxIn", getNoxIn())
            .append("pmIn", getPmIn())
            .append("so2In", getSo2In())
            .append("flowOut", getFlowOut())
            .append("tempOut", getTempOut())
            .append("noxOut", getNoxOut())
            .append("o2Out", getO2Out())
            .append("pmOut", getPmOut())
            .append("so2Out", getSo2Out())
            .append("flowInFlag", getFlowInFlag())
            .append("tempInFlag", getTempInFlag())
            .append("noxInFlag", getNoxInFlag())
            .append("pmInFlag", getPmInFlag())
            .append("so2InFlag", getSo2InFlag())
            .append("flowOutFlag", getFlowOutFlag())
            .append("tempOutFlag", getTempOutFlag())
            .append("noxOutFlag", getNoxOutFlag())
            .append("o2OutFlag", getO2OutFlag())
            .append("pmOutFlag", getPmOutFlag())
            .append("so2OutFlag", getSo2OutFlag())
            .append("tljVol", getTljVol())
            .append("txjVol", getTxjVol())
            .append("so2Cc1", getSo2Cc1())
            .append("pmCc1", getPmCc1())
            .append("windElecCc1", getWindElecCc1())
            .append("windVolCc1", getWindVolCc1())
            .append("so2Cc2", getSo2Cc2())
            .append("pmCc2", getPmCc2())
            .append("windElecCc2", getWindElecCc2())
            .append("windVolCc2", getWindVolCc2())
            .append("windElecCc3", getWindElecCc3())
            .append("mq1", getMq1())
            .append("mq2", getMq2())
            .append("mq3", getMq3())
            .append("mq4", getMq4())
            .append("mq5", getMq5())
            .append("mq6", getMq6())
            .append("g141", getG141())
            .append("g314", getG314())
            .append("g329", getG329())
            .append("g501", getG501())
            .append("g502", getG502())
            .append("g503", getG503())
            .append("g504", getG504())
            .append("g601", getG601())
            .append("g605", getG605())
            .append("g606", getG606())
            .append("g912", getG912())
            .append("g914", getG914())
            .append("g915", getG915())
            .append("g916", getG916())
            .append("g917", getG917())
            .append("g921", getG921())
            .append("g926", getG926())
            .append("g927", getG927())
            .append("g928", getG928())
            .append("g929", getG929())
            .append("g930", getG930())
            .append("g931", getG931())
            .append("g932", getG932())
            .append("g935", getG935())
            .append("g936", getG936())
            .append("g937", getG937())
            .append("g938", getG938())
            .append("g939", getG939())
            .append("g941", getG941())
            .append("g942", getG942())
            .append("g944", getG944())
            .append("g945", getG945())
            .append("g993", getG993())
            .append("g994", getG994())
            .append("g995", getG995())
            .append("gb08", getGb08())
            .append("gb09", getGb09())
            .append("addiParam", getAddiParam())
            .append("flowOutTotal", getFlowOutTotal())
            .append("noxOutTotal", getNoxOutTotal())
            .append("o2OutTotal", getO2OutTotal())
            .append("pmOutTotal", getPmOutTotal())
            .append("so2OutTotal", getSo2OutTotal())
            .append("zlProduct", getZlProduct())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("a140", getA140())
            .append("a141", getA141())
            .append("b104", getB104())
            .append("g313", getG313())
            .append("g318", getG318())
            .append("g325", getG325())
            .append("g330", getG330())
            .append("g604", getG604())
            .append("g943", getG943())
            .append("g952", getG952())
            .append("g956", getG956())
            .append("g957", getG957())
            .append("g958", getG958())
            .append("g961", getG961())
            .append("g962", getG962())
            .append("g963", getG963())
            .append("g964", getG964())
            .append("g965", getG965())
            .append("g966", getG966())
            .append("g967", getG967())
            .append("g968", getG968())
            .append("g969", getG969())
            .append("g970", getG970())
            .append("g971", getG971())
            .append("g972", getG972())
            .append("g973", getG973())
            .append("g974", getG974())
            .append("g975", getG975())
            .append("g976", getG976())
            .append("g977", getG977())
            .append("g978", getG978())
            .append("g979", getG979())
            .append("g980", getG980())
            .append("g981", getG981())
            .append("g982", getG982())
            .append("gb11", getGb11())
            .append("gb12", getGb12())
            .append("gb13", getGb13())
            .append("h959", getH959())
            .append("h960", getH960())
            .toString();
    }
}
